local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireNPC = ____shouldFire.shouldFireNPC
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PreNPCUpdateFilter = __TS__Class()
local PreNPCUpdateFilter = ____exports.PreNPCUpdateFilter
PreNPCUpdateFilter.name = "PreNPCUpdateFilter"
__TS__ClassExtends(PreNPCUpdateFilter, CustomCallback)
function PreNPCUpdateFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireNPC
    self.preNPCUpdate = function(____, npc) return self:fire(npc) end
    self.callbacksUsed = {{ModCallback.PRE_NPC_UPDATE, self.preNPCUpdate}}
end
return ____exports
